### Constructor

# Foundry InputValidatorDelegate new

#### Declaration [src]

    FoundryInputValidator*
    foundry_input_validator_delegate_new (
      FoundryInputValidatorCallback callback,
      gpointer user_data,
      GDestroyNotify notify
    )

#### Description

No description available.

This constructor is not directly available to language bindings.

#### Parameters

`callback`

  Type: `FoundryInputValidatorCallback`

  No description available.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`notify`

  Type: `GDestroyNotify`

  No description available.

#### Return value

Type: `FoundryInputValidator`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.